Index: includes/definitions/mibs/d-link/d-link.des3018-3026.php
===================================================================
--- includes/definitions/mibs/d-link/d-link.des3018-3026.php	(nonexistent)
+++ includes/definitions/mibs/d-link/d-link.des3018-3026.php	(working copy)
@@ -0,0 +1,57 @@
+<?php
+
+// DO NOT SET oid_num here, use translated numeric oids.
+// This file used in DES3018-L2MGMT-MIB and DES3026-L2MGMT-MIB
+
+//enterprises.dlink.dlink-mgmt.des30xxSeriesProd.des3018.swL2MgmtMIB.swL2DevMgmt.swL2CPUutilization.swL2CPUutilizationIn5min.0 = INTEGER: 1
+//DES3018-L2MGMT-MIB::swL2CPUutilizationIn5min.0 = INTEGER: 1
+//DES3026-L2MGMT-MIB::swL2CPUutilizationIn5min.0 = INTEGER: 1
+$config['mibs'][$mib]['processor']['swL2CPUutilizationIn5min'] = [
+  'type'    => 'static',
+  'descr'   => 'Processor',
+  'oid'     => 'swL2CPUutilizationIn5min.0'
+//  'oid_num' => '.1.3.6.1.4.1.171.11.63.3.2.1.3.3.0'
+//  'oid_num' => '.1.3.6.1.4.1.171.11.63.2.2.1.3.3.0'
+];
+
+$config['mibs'][$mib]['states']['DES3026Status3'][1] = array('name' => 'other',    'event' => 'ok');
+$config['mibs'][$mib]['states']['DES3026Status3'][2] = array('name' => 'disabled', 'event' => 'ok');
+$config['mibs'][$mib]['states']['DES3026Status3'][3] = array('name' => 'enable',   'event' => 'ok');
+
+$config['mibs'][$mib]['states']['DES3026Status2'][1] = array('name' => 'enabled',  'event' => 'ok');
+$config['mibs'][$mib]['states']['DES3026Status2'][2] = array('name' => 'disabled', 'event' => 'ok');
+
+//DES3026-L2MGMT-MIB::swL2DevCtrlStpState.0 = INTEGER: disabled(2)
+$config['mibs'][$mib]['status'][] = [
+  'oid'      => 'swL2DevCtrlStpState',
+  'descr'    => 'STP state',
+  'measured' => 'other',
+  'type'     => 'DES3026Status3'
+];
+
+//DES3026-L2MGMT-MIB::swL2DevCtrlIGMPSnooping.0 = INTEGER: disabled(2)
+$config['mibs'][$mib]['status'][] = [
+  'oid'      => 'swL2DevCtrlIGMPSnooping',
+  'descr'    => 'IGMP Snooping state',
+  'measured' => 'other',
+  'type'     => 'DES3026Status3'
+];
+
+//DES3026-L2MGMT-MIB::swL2DevCtrlLLDPState.0 = INTEGER: disabled(2)
+//DES3026-L2MGMT-MIB::swL2DevCtrlLLDPForwardMessageState.0 = INTEGER: disabled(2)
+$config['mibs'][$mib]['status'][] = [
+  'oid'      => 'swL2DevCtrlLLDPState',
+  'descr'    => 'LLDP state',
+  'measured' => 'other',
+  'type'     => 'DES3026Status2'
+];
+
+//DES3026-L2MGMT-MIB::swL2DevCtrlRmonState.0 = INTEGER: disabled(2)
+$config['mibs'][$mib]['status'][] = [
+  'oid'      => 'swL2DevCtrlRmonState',
+  'descr'    => 'RMON state',
+  'measured' => 'othr',
+  'type'     => 'DES3026Status3'
+];
+
+// EOF
Index: includes/definitions/mibs/d-link.inc.php
===================================================================
--- includes/definitions/mibs/d-link.inc.php	(revision 11288)
+++ includes/definitions/mibs/d-link.inc.php	(working copy)
@@ -15,31 +15,47 @@
 $config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.171.12.1';
 $config['mibs'][$mib]['mib_dir'] = 'd-link';
 $config['mibs'][$mib]['descr'] = 'D-Link General System MIB';
-$config['mibs'][$mib]['serial'][] = array('oid' => 'agentSerialNumber.0'); // AGENT-GENERAL-MIB::agentSerialNumber.0 = STRING: "PL5T2A1000668"
-// agentCPUutilizationIn5min.0 = INTEGER: 25
-$config['mibs'][$mib]['processor']['agentCPUutilizationIn5min'] = array('type' => 'static', 'descr' => 'Processor', 'oid' => 'agentCPUutilizationIn5min.0', 'oid_num' => '.1.3.6.1.4.1.171.12.1.1.6.3.0');
 
-$mib = 'ZONE-DEFENSE-MGMT-MIB';
-$config['mibs'][$mib]['enable'] = 1;
-$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.171.12.92';
-$config['mibs'][$mib]['mib_dir'] = 'd-link';
-$config['mibs'][$mib]['descr'] = '';
+// AGENT-GENERAL-MIB::agentSerialNumber.0 = STRING: "PL5T2A1000668"
+$config['mibs'][$mib]['serial'][] = ['oid' => 'agentSerialNumber.0'];
 
-$mib = 'DLINK-3100-POE-MIB';
-$config['mibs'][$mib]['enable'] = 1;
-$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.171.10.94.89.89.108';
-$config['mibs'][$mib]['mib_dir'] = 'd-link';
-$config['mibs'][$mib]['descr'] = '';
+// agentCPUutilizationIn5min.0 = INTEGER: 25
+$config['mibs'][$mib]['processor']['agentCPUutilizationIn5min'] = [
+  'type'    => 'static',
+  'descr'   => 'Processor',
+  'oid'     => 'agentCPUutilizationIn5min.0',
+  'oid_num' => '.1.3.6.1.4.1.171.12.1.1.6.3.0'
+];
 
-$mib = 'DLINK-SWPRIMGMT-MIB';
-$config['mibs'][$mib]['enable'] = 1;
-$config['mibs'][$mib]['mib_dir'] = 'd-link';
+/* BAD results on some devices like DES-3526
+$type = 'swCpuInterfacefilterState';
+$config['mibs'][$mib]['states'][$type][1] = ['name' => 'enable',  'event' => 'ok'];
+$config['mibs'][$mib]['states'][$type][2] = ['name' => 'disable', 'event' => 'warning'];
 
-$mib = 'PoE-MIB';
-$config['mibs'][$mib]['enable'] = 1;
-$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.171.12.24';
-$config['mibs'][$mib]['mib_dir'] = 'd-link';
+//ACLMGMT-MIB::swCpuInterfacefilterState.0 = INTEGER: disable(2)
+//ACLMGMT-MIB::swACLTotalUsedRuleEntries.0 = INTEGER: 0
+//ACLMGMT-MIB::swACLTotalUnusedRuleEntries.0 = INTEGER: 256
+//ACLMGMT-MIB::swACLMaskDelAllState.0 = INTEGER: none(1)
+//ACLMGMT-MIB::swAclMeteringNumOfEntryInUse.0 = INTEGER: 0
+$config['mibs'][$mib]['status'][] = [
+  'measured'     => 'other',
+  'oid'          => 'swCpuInterfacefilterState',
+  'type'         => 'swCpuInterfacefilterState',
+  'oid_num'      => '.1.3.6.1.4.1.171.12.9.1.1',
+  'descr'        => 'CPU Interface Filtering'
+];
 
+$config['mibs'][$mib]['graphs']['swACLEntries'] = [
+  'file'          => 'swacl-entries.rrd',
+  'call_function' => 'snmp_get',
+  'graphs'        => array('swacl-entries'),
+  'ds_rename'     => array('swACLTotalUsedRuleEntries' => 'usedEntries', 'swACLTotalUnusedRuleEntries' => 'unusedEntries'),
+  'oids'          => array(
+    'swACLTotalUsedRuleEntries'         => array('descr' => 'Total Used Rule Entries',   'ds_type' => 'GAUGE', 'ds_min' => '0'),
+    'swACLTotalUnusedRuleEntries'       => array('descr' => 'Total Unused Rule Entries', 'ds_type' => 'GAUGE', 'ds_min' => '0')
+  )
+];
+*/
 $mib = 'EQUIPMENT-MIB';
 $config['mibs'][$mib]['enable'] = 1;
 $config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.171.12.11';
@@ -46,7 +62,7 @@
 $config['mibs'][$mib]['mib_dir'] = 'd-link';
 $config['mibs'][$mib]['descr'] = 'Equipment Common mib';
 
-$config['mibs'][$mib]['status'][] = array(
+$config['mibs'][$mib]['status'][] = [
   'measured'     => 'powersupply',
   'table'        => 'swPowerTable',
   'oid'          => 'swPowerStatus',
@@ -54,18 +70,18 @@
   'oid_num'      => '.1.3.6.1.4.1.171.12.11.1.6.1.3',
   'oid_descr'    => 'swPowerID',
   'descr'        => 'Power Supply %oid_descr%'
-);
+];
 
 $type = 'swPowerStatus';
-$config['mibs'][$mib]['states'][$type][0] = array('name' => 'other',       'event' => 'ok');
-$config['mibs'][$mib]['states'][$type][1] = array('name' => 'lowVoltage',  'event' => 'warning');
-$config['mibs'][$mib]['states'][$type][2] = array('name' => 'overCurrent', 'event' => 'warning');
-$config['mibs'][$mib]['states'][$type][3] = array('name' => 'working',     'event' => 'ok');
-$config['mibs'][$mib]['states'][$type][4] = array('name' => 'fail',        'event' => 'alert');
-$config['mibs'][$mib]['states'][$type][5] = array('name' => 'connect',     'event' => 'ok');
-$config['mibs'][$mib]['states'][$type][6] = array('name' => 'disconnect',  'event' => 'ok');
+$config['mibs'][$mib]['states'][$type][0] = ['name' => 'other',       'event' => 'ok'];
+$config['mibs'][$mib]['states'][$type][1] = ['name' => 'lowVoltage',  'event' => 'warning'];
+$config['mibs'][$mib]['states'][$type][2] = ['name' => 'overCurrent', 'event' => 'warning'];
+$config['mibs'][$mib]['states'][$type][3] = ['name' => 'working',     'event' => 'ok'];
+$config['mibs'][$mib]['states'][$type][4] = ['name' => 'fail',        'event' => 'alert'];
+$config['mibs'][$mib]['states'][$type][5] = ['name' => 'connect',     'event' => 'ok'];
+$config['mibs'][$mib]['states'][$type][6] = ['name' => 'disconnect',  'event' => 'ok'];
 
-$config['mibs'][$mib]['status'][] = array(
+$config['mibs'][$mib]['status'][] = [
   'measured'     => 'fan',
   'table'        => 'swFanTable',
   'oid'          => 'swFanStatus',
@@ -73,18 +89,18 @@
   'oid_num'      => '.1.3.6.1.4.1.171.12.11.1.7.1.3',
   'oid_descr'    => 'swFanID',
   'descr'        => 'Fan %oid_descr%'
-);
+];
 
 $type = 'swFanStatus';
-$config['mibs'][$mib]['states'][$type][0] = array('name' => 'other',       'event' => 'ok');
-$config['mibs'][$mib]['states'][$type][1] = array('name' => 'working',     'event' => 'ok');
-$config['mibs'][$mib]['states'][$type][2] = array('name' => 'fail',        'event' => 'alert');
-$config['mibs'][$mib]['states'][$type][3] = array('name' => 'speed-0',     'event' => 'ok');
-$config['mibs'][$mib]['states'][$type][4] = array('name' => 'speed-low',   'event' => 'ok');
-$config['mibs'][$mib]['states'][$type][5] = array('name' => 'speed-middle','event' => 'ok');
-$config['mibs'][$mib]['states'][$type][6] = array('name' => 'speed-high',  'event' => 'ok');
+$config['mibs'][$mib]['states'][$type][0] = ['name' => 'other',       'event' => 'ok'];
+$config['mibs'][$mib]['states'][$type][1] = ['name' => 'working',     'event' => 'ok'];
+$config['mibs'][$mib]['states'][$type][2] = ['name' => 'fail',        'event' => 'alert'];
+$config['mibs'][$mib]['states'][$type][3] = ['name' => 'speed-0',     'event' => 'ok'];
+$config['mibs'][$mib]['states'][$type][4] = ['name' => 'speed-low',   'event' => 'ok'];
+$config['mibs'][$mib]['states'][$type][5] = ['name' => 'speed-middle','event' => 'ok'];
+$config['mibs'][$mib]['states'][$type][6] = ['name' => 'speed-high',  'event' => 'warning'];
 
-$config['mibs'][$mib]['sensor'][] = array(
+$config['mibs'][$mib]['sensor'][] = [
   'table'          => 'swTemperatureTable',
   'oid'            => 'swTemperatureCurrent',
   'descr'          => 'System',
@@ -94,8 +110,12 @@
   'oid_num'        => '.1.3.6.1.4.1.171.12.11.1.8.1.2',
   'oid_limit_low'  => 'swTemperatureLowThresh',
   'oid_limit_high' => 'swTemperatureHighThresh'
-);
+];
 
+$mib = 'PoE-MIB';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.171.12.24';
+$config['mibs'][$mib]['mib_dir'] = 'd-link';
 
 $mib = 'DDM-MGMT-MIB';
 $config['mibs'][$mib]['enable'] = 1;
@@ -104,13 +124,11 @@
 
 /*
 SNMP table: DDM-MGMT-MIB::swDdmStatusTable
-
  swDdmPort swDdmTemperature swDdmVoltage swDdmBiasCurrent swDdmTxPower swDdmRxPower
          1          34.5742        3.261            30.08       0.0606       0.0893
-
 */
 
-$config['mibs'][$mib]['sensor'][] = array(
+$config['mibs'][$mib]['sensor'][] = [
   'measured'           => 'port',
   'table'              => 'swDdmStatusTable',
   'measured_match'     => [ 'entity_type' => 'port', 'field' => 'ifIndex', 'match' => '%swDdmPort%' ],
@@ -117,9 +135,9 @@
   'class'              => 'temperature',
   'oid'                => 'swDdmTemperature',
   'descr'              => '%port_label% Temperature'
-);
+];
 
-$config['mibs'][$mib]['sensor'][] = array(
+$config['mibs'][$mib]['sensor'][] = [
   'measured'           => 'port',
   'table'              => 'swDdmStatusTable',
   'measured_match'     => [ 'entity_type' => 'port', 'field' => 'ifIndex', 'match' => '%swDdmPort%' ],
@@ -126,9 +144,9 @@
   'class'              => 'voltage',
   'oid'                => 'swDdmVoltage',
   'descr'              => '%port_label% Voltage'
-);
+];
 
-$config['mibs'][$mib]['sensor'][] = array(
+$config['mibs'][$mib]['sensor'][] = [
   'measured'           => 'port',
   'table'              => 'swDdmStatusTable',
   'measured_match'     => [ 'entity_type' => 'port', 'field' => 'ifIndex', 'match' => '%swDdmPort%' ],
@@ -135,9 +153,9 @@
   'class'              => 'current',
   'oid'                => 'swDdmBiasCurrent',
   'descr'              => '%port_label% TX Bias'
-);
+];
 
-$config['mibs'][$mib]['sensor'][] = array(
+$config['mibs'][$mib]['sensor'][] = [
   'measured'           => 'port',
   'table'              => 'swDdmStatusTable',
   'measured_match'     => [ 'entity_type' => 'port', 'field' => 'ifIndex', 'match' => '%swDdmPort%' ],
@@ -146,9 +164,9 @@
   'descr'              => '%port_label% TX Power',
   'unit'               => 'W',
   'scale'              => 0.001
-);
+];
 
-$config['mibs'][$mib]['sensor'][] = array(
+$config['mibs'][$mib]['sensor'][] = [
   'measured'           => 'port',
   'table'              => 'swDdmStatusTable',
   'measured_match'     => [ 'entity_type' => 'port', 'field' => 'ifIndex', 'match' => '%swDdmPort%' ],
@@ -157,53 +175,37 @@
   'descr'              => '%port_label% RX Power',
   'unit'               => 'W',
   'scale'              => 0.001
-);
+];
 
-$mib = 'DES3026-L2MGMT-MIB';
+$mib = 'ZONE-DEFENSE-MGMT-MIB';
 $config['mibs'][$mib]['enable'] = 1;
-$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.171.11.63.3';
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.171.12.92';
 $config['mibs'][$mib]['mib_dir'] = 'd-link';
-$config['mibs'][$mib]['descr'] = 'D-Link DES3026 L2MGMT MIB';
+$config['mibs'][$mib]['descr'] = '';
 
-$type = 'DES3026ModuleType';
-$config['mibs'][$mib]['states'][$type][0] = array('name' => 'none',      'event' => 'ok');
-$config['mibs'][$mib]['states'][$type][1] = array('name' => 'DEM-301T',  'event' => 'ok');
-$config['mibs'][$mib]['states'][$type][2] = array('name' => 'DEM-201F',  'event' => 'ok');
-$config['mibs'][$mib]['states'][$type][3] = array('name' => 'DEM-301G',  'event' => 'ok');
-$config['mibs'][$mib]['states'][$type][4] = array('name' => 'COMBA',     'event' => 'ok');
-$config['mibs'][$mib]['states'][$type][5] = array('name' => 'DEM-201FL', 'event' => 'ok');
+$mib = 'DLINK-3100-POE-MIB';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.171.10.94.89.89.108';
+$config['mibs'][$mib]['mib_dir'] = 'd-link';
+$config['mibs'][$mib]['descr'] = '';
 
-//DES3026-L2MGMT-MIB::swL2Module-1-Type.0 = INTEGER: moduleType-DEM-301G(3)
-//DES3026-L2MGMT-MIB::swL2Module-1-Type.0 = INTEGER: none(0)
-//.1.3.6.1.4.1.171.11.63.3.2.1.1.6.0 = INTEGER: none(0)
-//DES3026-L2MGMT-MIB::swL2Module-2-Type.0 = INTEGER: moduleType-DEM-301G(3)
-//.1.3.6.1.4.1.171.11.63.3.2.1.1.7.0 = INTEGER: moduleType-DEM-301G(3)
-$config['mibs'][$mib]['status'][] = array('oid' => 'swL2Module-1-Type', 'descr' => 'Module 1 type', 'measured' => '', 'type' => 'DES3026ModuleType', 'oid_num' => '.1.3.6.1.4.1.171.11.63.3.2.1.1.6');
-$config['mibs'][$mib]['status'][] = array('oid' => 'swL2Module-2-Type', 'descr' => 'Module 2 type', 'measured' => '', 'type' => 'DES3026ModuleType', 'oid_num' => '.1.3.6.1.4.1.171.11.63.3.2.1.1.7');
 
-//DES3026-L2MGMT-MIB::swL2CPUutilizationIn5min.0 = INTEGER: 1
-$config['mibs'][$mib]['processor']['swL2CPUutilizationIn5min'] = array('type' => 'static', 'descr' => 'Processor', 'oid' => 'swL2CPUutilizationIn5min.0', 'oid_num' => '.1.3.6.1.4.1.171.11.63.3.2.1.3.3.0');
+$mib = 'DES3018-L2MGMT-MIB';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.171.11.63.2.2';
+$config['mibs'][$mib]['mib_dir'] = 'd-link';
+$config['mibs'][$mib]['descr'] = 'D-Link DES3018 L2MGMT MIB';
 
-$config['mibs'][$mib]['states']['DES3026Status'][1] = array('name' => 'other', 'event' => 'ok');
-$config['mibs'][$mib]['states']['DES3026Status'][2] = array('name' => 'disabled', 'event' => 'ok');
-$config['mibs'][$mib]['states']['DES3026Status'][3] = array('name' => 'enable', 'event' => 'ok');
+include __DIR__ . '/d-link/d-link.des3018-3026.php';
 
-//DES3026-L2MGMT-MIB::swL2DevCtrlStpState.0 = INTEGER: disabled(2)
-$config['mibs'][$mib]['status'][] = array('oid' => 'swL2DevCtrlStpState', 'descr' => 'STP state', 'measured' => '', 'type' => 'DES3026Status', 'oid_num' => '.1.3.6.1.4.1.171.11.63.3.2.1.2.6');
-//DES3026-L2MGMT-MIB::swL2DevCtrlIGMPSnooping.0 = INTEGER: disabled(2)
-$config['mibs'][$mib]['status'][] = array('oid' => 'swL2DevCtrlIGMPSnooping', 'descr' => 'IGMP Snooping state', 'measured' => '', 'type' => 'DES3026Status', 'oid_num' => '.1.3.6.1.4.1.171.11.63.3.2.1.2.7');
-//DES3026-L2MGMT-MIB::swL2DevCtrlVLANTrunkState.0 = INTEGER: disabled(2)
-$config['mibs'][$mib]['status'][] = array('oid' => 'swL2DevCtrlVLANTrunkState', 'descr' => 'VLAN Trunk state', 'measured' => '', 'type' => 'DES3026Status', 'oid_num' => '.1.3.6.1.4.1.171.11.63.3.2.1.2.22');
-//DES3026-L2MGMT-MIB::swL2DevCtrlLLDPState.0 = INTEGER: disabled(2)
-//DES3026-L2MGMT-MIB::swL2DevCtrlLLDPForwardMessageState.0 = INTEGER: disabled(2)
-$config['mibs'][$mib]['status'][] = array('oid' => 'swL2DevCtrlIGMPSnooping', 'descr' => 'LLDP state', 'measured' => '', 'type' => 'DES3026Status', 'oid_num' => '.1.3.6.1.4.1.171.11.63.3.2.1.2.23');
+$mib = 'DES3026-L2MGMT-MIB';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.171.11.63.3';
+$config['mibs'][$mib]['mib_dir'] = 'd-link';
+$config['mibs'][$mib]['descr'] = 'D-Link DES3026 L2MGMT MIB';
 
-//DES3026-L2MGMT-MIB::swL2DevCtrlRmonState.0 = INTEGER: disabled(2)
-$config['mibs'][$mib]['status'][] = array('oid' => 'swL2DevCtrlRmonState', 'descr' => 'RMON state', 'measured' => '', 'type' => 'DES3026Status', 'oid_num' => '.1.3.6.1.4.1.171.11.63.3.2.1.2.16');
+include __DIR__ . '/d-link/d-link.des3018-3026.php';
 
-
-//DES3026-L2MGMT-MIB::swL2DevCtrlVlanIdOfFDBTbl.0 = INTEGER: 1
-
 $mib = 'DGS3120-24SC-L2MGMT-MIB';
 $config['mibs'][$mib]['enable'] = 1;
 //$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.171.11.63.3';
@@ -211,35 +213,47 @@
 $config['mibs'][$mib]['descr'] = 'D-Link DGS3120 L2MGMT MIB';
 
 $type = 'DGS3120Status';
-$config['mibs'][$mib]['states'][$type][1] = array('name' => 'enabled',  'event' => 'ok');
-$config['mibs'][$mib]['states'][$type][2] = array('name' => 'disabled', 'event' => 'ok');
+$config['mibs'][$mib]['states'][$type][1] = ['name' => 'enabled',  'event' => 'ok'];
+$config['mibs'][$mib]['states'][$type][2] = ['name' => 'disabled', 'event' => 'ok'];
 
 $type = 'DGS3120Status3';
-$config['mibs'][$mib]['states'][$type][1] = array('name' => 'other',    'event' => 'ok');
-$config['mibs'][$mib]['states'][$type][2] = array('name' => 'disabled', 'event' => 'ok');
-$config['mibs'][$mib]['states'][$type][3] = array('name' => 'enabled',  'event' => 'ok');
+$config['mibs'][$mib]['states'][$type][1] = ['name' => 'other',    'event' => 'ok'];
+$config['mibs'][$mib]['states'][$type][2] = ['name' => 'disabled', 'event' => 'ok'];
+$config['mibs'][$mib]['states'][$type][3] = ['name' => 'enabled',  'event' => 'ok'];
 
 //DGS3120-24SC-L2MGMT-MIB::swL2DevCtrlTelnetState.0
-$config['mibs'][$mib]['status'][] = array('oid' => 'swL2DevCtrlTelnetState',    'descr' => 'Telnet state',     'measured' => '', 'type' => 'DGS3120Status3', 'oid_num' => '.1.3.6.1.4.1.171.11.117.4.1.2.1.2.14.1');
+$config['mibs'][$mib]['status'][] = [
+  'oid'      => 'swL2DevCtrlTelnetState',
+  'descr'    => 'Telnet state',
+  'measured' => 'device',
+  'type'     => 'DGS3120Status3',
+  'oid_num'  => '.1.3.6.1.4.1.171.11.117.4.1.2.1.2.14.1'
+];
 
-$config['mibs'][$mib]['status'][] = array('oid' => 'swL2DevCtrlWebState',       'descr' => 'Web state',        'measured' => '', 'type' => 'DGS3120Status', 'oid_num' => '.1.3.6.1.4.1.171.11.117.4.1.2.1.2.17.1');
-$config['mibs'][$mib]['status'][] = array('oid' => 'swL2DevCtrlLLDPState',      'descr' => 'LLDP state',       'measured' => '', 'type' => 'DGS3120Status', 'oid_num' => '.1.3.6.1.4.1.171.11.117.4.1.2.1.2.18');
-$config['mibs'][$mib]['status'][] = array('oid' => 'swL2DevCtrlVLANTrunkState', 'descr' => 'VLAN Trunk state', 'measured' => '', 'type' => 'DGS3120Status', 'oid_num' => '.1.3.6.1.4.1.171.11.117.4.1.2.1.2.22');
+$config['mibs'][$mib]['status'][] = [
+  'oid'      => 'swL2DevCtrlWebState',
+  'descr'    => 'Web state',
+  'measured' => 'device',
+  'type'     => 'DGS3120Status',
+  'oid_num'  => '.1.3.6.1.4.1.171.11.117.4.1.2.1.2.17.1'
+];
 
+$config['mibs'][$mib]['status'][] = [
+  'oid'      => 'swL2DevCtrlLLDPState',
+  'descr'    => 'LLDP state',
+  'measured' => 'device',
+  'type'     => 'DGS3120Status',
+  'oid_num'  => '.1.3.6.1.4.1.171.11.117.4.1.2.1.2.18'
+];
+
 $mib = 'DES-1228-MIB';
 $config['mibs'][$mib]['enable'] = 1;
-//$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.171.11.63.3';
 $config['mibs'][$mib]['mib_dir'] = 'd-link';
 $config['mibs'][$mib]['descr'] = 'D-Link DES-1228 L2MGMT MIB';
 
 // DES-1228-MIB::configVerSwPrimary.0 = STRING: "1.11.01"
-$config['mibs'][$mib]['version'][] = array('oid' => 'configVerSwPrimary.0');
+$config['mibs'][$mib]['version'][] = ['oid' => 'configVerSwPrimary.0'];
 
-// DES-1228-MIB::configPhysAddress.0 = Hex-STRING: 00 26 5A E2 FB 1A
-// DES-1228-MIB::configIpAddress.0 = IpAddress: 192.168.10.252
-// DES-1228-MIB::configNetMask.0 = IpAddress: 255.255.254.0
-// DES-1228-MIB::configGateway.0 = IpAddress: 192.168.10.1
-
 $mib = 'DLINK-MCB-MIB';
 $config['mibs'][$mib]['enable'] = 1;
 $config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.171.41';
